Code Monkey home page Code Monkey logo

armv7-multiplatform's People

Contributors

robertcnelson avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

armv7-multiplatform's Issues

UDOO missing ttymxc3

Hi There,

in 9d78e96 there was a patch added to sync the pincfgs with UDOOboard/linux_kernel which is missing since 4.8.x
Therefore uart4 (/dev/ttymxc3) which is used to communicate with the onboard sam3x is not available.

Manually applying the old Patch creates an error while compiling, a stripped down version to add only the pincfg for uart4 works fine (tested with 4.9.x).

diff --git a/arch/arm/boot/dts/imx6qdl-udoo.dtsi b/arch/arm/boot/dts/imx6qdl-udoo.dtsi
index a173de2..31eceea 100644
--- a/arch/arm/boot/dts/imx6qdl-udoo.dtsi
+++ b/arch/arm/boot/dts/imx6qdl-udoo.dtsi
@@ -177,6 +177,13 @@
                        >;
                };

+               pinctrl_uart4: uart4grp {
+                       fsl,pins = <
+                               MX6QDL_PAD_KEY_COL0__UART4_TX_DATA      0x1b0b1
+                               MX6QDL_PAD_KEY_ROW0__UART4_RX_DATA      0x1b0b1
+                       >;
+               };
+
                pinctrl_usbh: usbhgrp {
                        fsl,pins = <
                                MX6QDL_PAD_GPIO_17__GPIO7_IO12  0x1b0b0
@@ -247,6 +254,12 @@
        status = "okay";
 };

+&uart4 { // iMX6-Arduino internal serial port - ttymxc3
+       pinctrl-names = "default";
+       pinctrl-0 = <&pinctrl_uart4>;
+       status = "okay";
+};
+
 &usbh1 {
        pinctrl-names = "default";
        pinctrl-0 = <&pinctrl_usbh>;

CONFIG_USB_XHCI_HCD=m - Enable USB3

Hello Robert,

for boards with USB3 (e.g. ODROID) it would be reasonable to enable CONFIG_USB_XHCI_HCD.

In Debian this is enabled as module by default.

Best regards

Heinrich Schuchardt

zram

zram allows to use part of the RAM as compressed swap.

With this commit it has been moved from staging to drivers main:
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=ab41c488c652be9ed08e5b1660727147df27e8cd

Kernel module zram is available in Ubuntu by default.

Hence I suggest to add the module to the default configuration of armv7-multiplatform.

Usage is described here:
http://askubuntu.com/questions/302447/how-to-install-zram-on-ubuntu-13-04
https://github.com/mystilleef/FedoraZram
http://lists.debian.org/debian-devel/2012/01/msg00210.html

Hardware acceleration in Wandboard

I tried the patches, it got compiled and able to load the modules.
Can you please suggest me how to test the Hardware acceleration in Wandboard with kernel 3.13.

If I play any video file with ffplay its not rendering smoothly.

Thanks for your support.

Missing iMX6 USB host controller in 4.18 defconfig

Building for cubox, no keyboard due to missing module:

# zcat /proc/config.gz | grep -i ehci
CONFIG_USB_EHCI_HCD=y
CONFIG_USB_EHCI_ROOT_HUB_TT=y
CONFIG_USB_EHCI_TT_NEWSCHED=y
# CONFIG_USB_EHCI_MXC is not set
CONFIG_USB_EHCI_HCD_OMAP=y
CONFIG_USB_EHCI_HCD_PLATFORM=y

[RFC] Add Arch Linux ARM patches

Arch Linux ARM has really good kernel patches for better ARM support which haven't been yet merged into mainline.

https://github.com/archlinuxarm/PKGBUILDs/tree/master/core/linux-armv7 (check the *.patch files)

They are really useful. The patches add new device trees, new/improved support for some u-boot implementations, some fixes and features that may be interesting to see in this project. A new folder (could be patches/alarm?) can be created for this, with the patch files inside.

Please note that they only support stable releases of Linux, so for LTS generations we should wait till the current stable branch becomes LTS.

Path for firmware

In Debian the installation path for firmware is
/lib/firmware/$(uname -r)

The current makefile produces file 3.13.0-rc4-armv7-x4-firmware.tar.gz
where the firmware is in the top directory.

I would prefer if 3.13.0-rc4-armv7-x4-firmware.tar.gz would provide the installation path.

Build stops without error output

When building with build_kernel.sh compilation stops without any error message:

CC [M] fs/xfs/xfs_rtalloc.o
CC [M] fs/xfs/xfs_acl.o
CC [M] fs/xfs/xfs_stats.o
CC [M] fs/xfs/xfs_sysctl.o
LD [M] fs/xfs/xfs.o
LD fs/built-in.o
[user@server armv7-multiplatform]$

When I issue make in directory KERNEL I get an error message

[user@server KERNEL]$ make
CHK include/generated/uapi/linux/version.h
CHK include/generated/utsrelease.h
UPD include/generated/utsrelease.h
make[1]: `include/generated/mach-types.h' is up to date.
CALL scripts/checksyscalls.sh
CC scripts/mod/devicetable-offsets.s
GEN scripts/mod/devicetable-offsets.h
HOSTCC scripts/mod/file2alias.o
HOSTLD scripts/mod/modpost
CHK include/generated/compile.h
CC init/version.o
LD init/built-in.o
BC kernel/timeconst.h
/bin/sh: bc: command not found
make[1]: *** [kernel/timeconst.h] Error 127
make: *** [kernel] Error 2
[user@server KERNEL]$

Why does your script show no error message?

New Vivante GC DRM Patch

Dear Robert
I've fixed the Vivante driver with latest updates. Now 3.14.4 kernel compiles without any error, if I enable Vivante module.
I didn't test it yet, but I'm sure it is going to work fine again.
As It was documented on Fedora's user forum, the drm_platform_exit is now deprecated, so I removed it.
I link you the git-patch:

http://pastebin.com/X5D6xJ7D

Best

Michele

CONFIG_FANOTIFY_ACCESS_PERMISSIONS

Hello Robert,

in Ubuntu and Fedora CONFIG_FANOTIFY_ACCESS_PERMISSIONS is enabled by default.

Could you, please, apply the following patch to the 3.11 branch.

Best regards

Signed-off-by: Heinrich Schuchardt [email protected]


patches/defconfig | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/patches/defconfig b/patches/defconfig
index fd6ecb3..c8aade8 100644
--- a/patches/defconfig
+++ b/patches/defconfig
@@ -4516,7 +4516,7 @@ CONFIG_FSNOTIFY=y
CONFIG_DNOTIFY=y
CONFIG_INOTIFY_USER=y
CONFIG_FANOTIFY=y
-# CONFIG_FANOTIFY_ACCESS_PERMISSIONS is not set
+CONFIG_FANOTIFY_ACCESS_PERMISSIONS=y
CONFIG_QUOTA=y
CONFIG_QUOTA_NETLINK_INTERFACE=y

CONFIG_PRINT_QUOTA_WARNING is not set

beagleboard XM doesn't boot on v3.19-rc7

I have built a kernel from your tree using build_mainline.sh and am trying to boot it using the ubuntu-14.04.1-console-armhf-2015-01-06 system image as recommended on http://www.elinux.org/BeagleBoardUbuntu#Method_1:_Download_a_Complete_Pre-Configured_Image

I get the following output on console at boot, then it hangs:

U-Boot SPL 2015.01-00011-g2efed9f (Jan 12 2015 - 17:15:10)
SPL: Please implement spl_start_uboot() for your board
SPL: Direct Linux boot not active!
reading u-boot.img
reading u-boot.img


U-Boot 2015.01-00011-g2efed9f (Jan 12 2015 - 17:15:10), Build: jenkins-github_Bootloader-Builder-90

OMAP3630/3730-GP ES1.2, CPU-OPP2, L3-200MHz, Max CPU Clock 1 Ghz
OMAP3 Beagle board + LPDDR/NAND
I2C:   ready
DRAM:  512 MiB
NAND:  0 MiB
MMC:   OMAP SD/MMC: 0
*** Warning - readenv() failed, using default environment

Beagle xM Rev C
No EEPROM on expansion board
No EEPROM on expansion board
Die ID #0daa00029ff80000016071641700c021
Net:   usb_ether
Error: usb_ether address not set.

Hit any key to stop autoboot:  0 
switch to partitions #0, OK
mmc0 is current device
SD/MMC found on device 0
Checking for: /uEnv.txt ...
Checking for: /boot/uEnv.txt ...
186 bytes read in 41 ms (3.9 KiB/s)
Loaded environment from /boot/uEnv.txt
Checking if uname_r is set in /boot/uEnv.txt...
Running uname_boot ...
loading /boot/vmlinuz-3.19.0-rc7-armv7-devel-r58-00032-g5ee0e96 ...
5722752 bytes read in 404 ms (13.5 MiB/s)
loading /boot/dtbs/3.19.0-rc7-armv7-devel-r58-00032-g5ee0e96/omap3-beagle-xm.dtb ...
62706 bytes read in 106 ms (577.1 KiB/s)
debug: [console=ttyO2,115200n8 root=/dev/mmcblk0p2 ro rootfstype=ext4 rootwait fixrtc quiet] ...
debug: [bootz 0x82000000 - 0x88000000] ...
Kernel image @ 0x82000000 [ 0x000000 - 0x575280 ]
## Flattened Device Tree blob at 88000000
   Booting using the fdt blob at 0x88000000
   Using Device Tree in place at 88000000, end 880124f1

Starting kernel ...

[    0.203094] platform 48058000.ssi-controller: Cannot lookup hwmod 'ssi'
[    0.206420] of_amba_device_create(): amba_device_add() failed (-19) for /etb@5401b000
[    0.206542] of_amba_device_create(): amba_device_add() failed (-19) for /etm@54010000
[    0.585296] ehci-omap 48064800.ehci: Can't get PHY device for port 1: -517
[    0.739410] leds_pwm pwmleds: unable to request PWM for beagleboard::pmu_stat: -517
[    0.759887] omap2_set_init_voltage: unable to find boot up OPP for vdd_mpu_iva
[    0.767517] omap2_set_init_voltage: unable to set vdd_mpu_iva
[    0.773620] omap2_set_init_voltage: unable to find boot up OPP for vdd_core
[    0.780944] omap2_set_init_voltage: unable to set vdd_core
[    2.063598] usb usb1-port1: Cannot enable. Maybe the USB cable is bad?
[    2.084777] leds_pwm pwmleds: unable to request PWM for beagleboard::pmu_stat: -517
[    2.100250] leds_pwm pwmleds: unable to request PWM for beagleboard::pmu_stat: -517
[    2.348785] mmc0: card never left busy state
[    2.353332] mmc0: error -110 whilst initialising SD card
[    2.528045] leds_pwm pwmleds: unable to request PWM for beagleboard::pmu_stat: -517
[    2.985504] leds_pwm pwmleds: unable to request PWM for beagleboard::pmu_stat: -517

fatal: empty ident name (for <user@server.(none)>) not allowed

I have set a git identity:

git config-l
user.name=My Name
user.email=[email protected]

When running build_kernel.sh I get an error

fatal: empty ident name (for <user@server.(none)>) not allowed
You need to set your committer info first
git tree is clean...

*** Please tell me who you are.
Run

git config --global user.email "[email protected]"
git config --global user.name "Your Name"

to set your account's default identity.
Omit --global to set the identity only in this repository.

Why should a build script care about my identity?
Why does it require something already known?

i2c-gpio with kernel 4.4.28-armv7-x4

mxc_gpio_probe calls bgpio_init with a flag BGPIOF_READ_OUTPUT_REG_SET. I can no longer do i2c gpio with the optional properties i2c-gpio,sda-open-drain and i2c-gpio,scl-open-drain set. If I set the flag to 0, it works again.

Regards,

Wrong package names in build_deb.sh

build_deb.sh creates the following files in deploy

3.11.0-rc3-armv7-x5-dtbs.tar.gz linux-headers-3.11.0-rc3-armv7-x5_1.0cross_armhf.deb test
3.11.0-rc3-armv7-x5-firmware.tar.gz linux-image-3.11.0-rc3-armv7-x5_1.0cross_armhf.deb
linux-firmware-image_1.0cross_all.deb linux-libc-dev_1.0cross_armhf.deb

linux-firmware-image_1.0cross_all.deb contains files in directory ./lib/firmware/3.11.0-rc3-armv7-x5/.
So why is the image called 1.0 and not 3.11.0-rc3-armv7-x5

Add rfkill package to baseline armv7 minfs tarballs

I wasn't sure where to put this, since I only see the omap-image-builder thing and this is not omap-specific. Anyway, using the debian/ubuntu minfs on chromebooks requires the rfkill tool to release the soft blocks on wifi/bt before they can be configured (I'm not sure if this issue comes up on any other platforms or not). I hacked up a chromebook script to use your minfs tarballs and the only real issue is installing rfkill over wifi when you don't have wifi up yet ;)

several compiling issues with 4.4.19

With 4.4.19 I have multiple compiling issues. With 4.4.17 the same config was fine.
Examples:

  CC [M]  net/netfilter/xt_CONNSECMARK.o
drivers/input/touchscreen/sur40.c: In function ‘sur40_process_video’:
drivers/input/touchscreen/sur40.c:453:21: error: ‘struct vb2_buffer’ has no member named ‘timestamp’
  new_buf->vb.vb2_buf.timestamp = ktime_get_ns();
                     ^
drivers/input/touchscreen/sur40.c: In function ‘sur40_probe’:
drivers/input/touchscreen/sur40.c:582:14: error: ‘struct vb2_queue’ has no member named ‘dev’
  sur40->queue.dev = sur40->dev;
              ^
drivers/input/touchscreen/sur40.c: At top level:
drivers/input/touchscreen/sur40.c:826:2: warning: initialization from incompatible pointer type
  .queue_setup  = sur40_queue_setup,
  ^
drivers/input/touchscreen/sur40.c:826:2: warning: (near initialization for ‘sur40_queue_ops.queue_setup’)
scripts/Makefile.build:264: recipe for target 'drivers/input/touchscreen/sur40.o' failed
make[3]: *** [drivers/input/touchscreen/sur40.o] Error 1
scripts/Makefile.build:403: recipe for target 'drivers/input/touchscreen' failed
make[2]: *** [drivers/input/touchscreen] Error 2
scripts/Makefile.build:403: recipe for target 'drivers/input' failed
make[1]: *** [drivers/input] Error 2
Makefile:947: recipe for target 'drivers' failed
make: *** [drivers] Error 2
make: *** Warte auf noch nicht beendete Prozesse...
  CC [M]  net/netfilter/xt_CT.o
  CC [M]  fs/udf/truncate.o
  CC [M]  fs/udf/symlink.o
  CC [M]  net/netfilter/xt_DSCP.o
  CC [M]  fs/udf/directory.o


  CC [M]  drivers/media/i2c/wm8775.o
  CC [M]  drivers/media/dvb-frontends/si2168.o
drivers/media/dvb-frontends/si2168.c: In function ‘si2168_probe’:
drivers/media/dvb-frontends/si2168.c:712:2: error: implicit declaration of function ‘i2c_add_mux_adapter’ [-Werror=implicit-function-declaration]
  dev->adapter = i2c_add_mux_adapter(client->adapter, &client->dev,
  ^
drivers/media/dvb-frontends/si2168.c:712:15: warning: assignment makes pointer from integer without a cast
  dev->adapter = i2c_add_mux_adapter(client->adapter, &client->dev,
               ^
drivers/media/dvb-frontends/si2168.c: In function ‘si2168_remove’:
drivers/media/dvb-frontends/si2168.c:746:2: error: implicit declaration of function ‘i2c_del_mux_adapter’ [-Werror=implicit-function-declaration]
  i2c_del_mux_adapter(dev->adapter);
  ^
  CC      drivers/mmc/core/sdio.o
  CC [M]  drivers/media/i2c/mt9v011.o
  CC [M]  drivers/md/bcache/bset.o
cc1: some warnings being treated as errors
scripts/Makefile.build:264: recipe for target 'drivers/media/dvb-frontends/si2168.o' failed
make[3]: *** [drivers/media/dvb-frontends/si2168.o] Error 1
scripts/Makefile.build:403: recipe for target 'drivers/media/dvb-frontends' failed
make[2]: *** [drivers/media/dvb-frontends] Error 2
make[2]: *** Warte auf noch nicht beendete Prozesse...
  CC [M]  drivers/md/bcache/btree.o
  LD      drivers/media/i2c/built-in.o

KVM

Hello Robert,

I would like to use KVM on my wandboard.

Could this be added generally or would some board supported by armv7-multiplatform be incompatible to LPAE?

The config flags in question are:
LPAE (-> System Type)
KVM (-> Virtualization (VIRTUALIZATION [=y]))
PCI (-> Bus support)
DRM_QXL (-> Device Drivers -> Graphics support)

Debian uses these additional flags for LPAE:
CONFIG_ARM_DMA_USE_IOMMU=y
CONFIG_ARM_DMA_IOMMU_ALIGNMENT=8
CONFIG_ARM_SMMU=y

Best regards

Heinrich Schuchardt

missing netplan config in recent focal minfs tarballs

Seems like connman went away(?) and the recent ubuntu rootfs (specifically ai) stopped configuring ethernet and I get the exact same behavior using latest with armv7-multiplatform kernels with ubuntu focal rootfs on anything. The fix is adding the netplan (yaml) config => using dhcp/eth0 works fine. I also pretty much always add net.ifnames=0 to cmdline.

Lastly, please don't kill ubuntu rootfs, upstream "cloud" image for armv7 is a joke, and yours gets used for testing arm boards/kernels and chromebooks...

Linux-3.17.0-rc1-armv7-x0.3 on CM-510 board, does not boot.

Hello,
I am trying to boot Linux 3.17 Kernel on CM-510 board, but it does not boot. The last output I am able to see is:

Booting kernel from Legacy Image at 00200000 ...
Image Name: Linux-3.17.0-rc1-armv7-x0.3
Created: 2015-01-18 11:58:43 UTC
Image Type: ARM Linux Kernel Image (uncompressed)
Data Size: 3948368 Bytes = 3.8 MB
Load Address: 00008000
Entry Point: 00008000
Verifying Checksum ... OK
Loading Kernel Image ... OK
OK

Starting kernel ...

Uncompressing Linux... done, booting the kernel.

I have made different checks in order to find out what's wrong:

  1. I have tried different tty console specification on bootargs : ttyS0, ttyS1, ttyS2, ttyS0 ... just to make sure the problem is not related to the standard output specification during booting process.

2)In order to recieve further information about the issue, I have activated "earlyprintk" in menuconfig.
CONFIG_EARLY_PRINTK=y

3)Lastly, I have actived Kernel Low Level Debugging
CONFIG_DEBUG_LL=y

But, always the same...

I print my used bootargs:

CM-A510>> printenv
loads_echo=0
rootpath=/mnt/ARM_FS/
mtdids=nand0=dove-nand
mtdparts=mtdparts=dove-nand:4m(boot),-(rootfs)
arcNumber=3020
CASset=min
MALLOC_len=5
bootargs_root=root=/dev/nfs rw
bootargs_end=:::dove:eth0:none
image_name=kernel.img
tftpbootcmd=tftpboot 0x2000000 ${image_name}; setenv bootargs ${console} ${mtdparts} ${bootargs_root} nfsroot=${serverip}:${rootpath} ip=${ipaddr}:${se
standalone=fsload 0x2000000 ${image_name};setenv bootargs ${console} ${mtdparts} root=/dev/mtdblock0 rw ip=${ipaddr}:${serverip}${bootargs_end} usb0Mode;
bootnand=sflash read a0000 0x2000000 0x300000;setenv bootargs ${console} ${mtdparts} ubi.mtd=0 root=ubi0:rootfs rootfstype=ubifs rw usb0Mode=${usb0Mode};
disaMvPnp=no
usb0Mode=host
usb1Mode=host
lcd0_enable=0
lcd1_enable=1
lcd0_params=1280x768-24@60
lcd1_params=640x480-16@60
dnsip=192.168.10.13
loadaddr=0x200000
baudrate=115200
console=ttyS0,115200
ethprime=egiga0
ethaddr=00:01:c0:14:cd:d0
eth1addr=00:01:c0:14:cd:d9
serial#=CM-A510-C800-D1024-N512-E2-U4-I-A-V100-140302-0001c014cdd0-0001c014cdd9
ethact=egiga0
bootfile=bootscr.img
nemo_bootcmd=for j in 2 1 0; do
echo stepj $j;
mmc rescan $j;
for i in 0 1 2 3 4 5 6 7 8 9 a b c d e f 10 11 12 13 14 15 16 17 18 19; do
mmc rescan $j;
if fat load mmc $j:$i ${loadaddr} /uImage; then
bootm ${loadaddr};
fi;
if fat load mmc $j:$i ${loadaddr} /boot/uImage; then
bootm ${loadaddr};
fi;
if ext2load mmc $j:$i ${loadaddr} /uImage; then
bootm ${loadaddr};
fi;
if ext2load mmc $j:$i ${loadaddr} /boot/uImage; then
bootm ${loadaddr};
fi;
echo no device found in mmc $j partition $i;
done;
done
partition=nand0,0
mtddevnum=0
mtddevname=boot
filesize=2F0C44
fileaddr=200000
netmask=255.255.255.0
gatewayip=192.168.1.1
ipaddr=192.168.1.11
serverip=192.168.1.10
bootargs=root=/dev/nfs nfsroot=192.168.1.10:/home/devel/devel/cm-a510/a510 ip=dhcp console=ttyS0,115200 pm_disable useNandHal=4bitecc fbcon=rotate:1 usbe
stdin=serial
stdout=serial
stderr=serial
passDramInitTag=yes
mainlineLinux=yes
enaMonExt=no
pexMode=RC
disL2Cache=no
disL2Ecc=no
sata_dma_mode=yes
bootdelay=0
autoload=no
enaL2ExtraFeatures=yes
enaCpuStream=no
enaVpuPower=yes
enaGpuPower=yes

I would greatly appreciate your help in this matter

Thank you very much in advance.

GDobato

[PATCH] Use standardized name for config file.

Most Linux distributions (e.g. Debian, Fedora) use
/boot/config-$(uname -r)
for the Kernel configuration file.

Hence the deploy directory should also contain a file of this name.
The user can copy this file to directory /boot without renaming.

Signed-off-by: Heinrich Schuchardt <[email protected]>

---
 build_kernel.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/build_kernel.sh b/build_kernel.sh
index 80e5a87..6f76eea 100755
--- a/build_kernel.sh
+++ b/build_kernel.sh
@@ -89,7 +89,7 @@ make_kernel () {
 
        if [ -f "${DIR}/deploy/${KERNEL_UTS}.${image}" ] ; then
                rm -rf "${DIR}/deploy/${KERNEL_UTS}.${image}" || true
-               rm -rf "${DIR}/deploy/${KERNEL_UTS}.config" || true
+               rm -rf "${DIR}/deploy/config-${KERNEL_UTS}" || true
        fi
 
        if [ -f ./arch/arm/boot/${image} ] ; then
@@ -99,10 +99,10 @@ make_kernel () {
                        xz -z "${DIR}/deploy/beagleboard.org/${KERNEL_UTS}/${KERNEL_UTS}.${image}"
                        mkimage -A arm -O linux -T kernel -C none -a 0x80008000 -e 0x80008000 -n ${KERNEL_UTS} -d arch/arm/boot/zImage "${DIR}/deploy/beagleboard.org/${KERNEL_UTS}/${KERNEL_UTS}.uImage"
                        xz -z "${DIR}/deploy/beagleboard.org/${KERNEL_UTS}/${KERNEL_UTS}.uImage"
-                       cp -uv .config "${DIR}/deploy/beagleboard.org/${KERNEL_UTS}/${KERNEL_UTS}.config"
+                       cp -uv .config "${DIR}/deploy/beagleboard.org/${KERNEL_UTS}/config-${KERNEL_UTS}"
                fi
                cp -v arch/arm/boot/${image} "${DIR}/deploy/${KERNEL_UTS}.${image}"
-               cp -v .config "${DIR}/deploy/${KERNEL_UTS}.config"
+               cp -v .config "${DIR}/deploy/config-${KERNEL_UTS}"
        fi
 
        cd ${DIR}/
-- 
1.8.4.3

Wandboard Quad rev C1 support

Hi Robert,

The Wandboard patches do not yet contain the Quad rev. C1 changes. Changes are in the rfkill driver and GPIO pins. Also Wifi uses brcm4330 instead of brcm4329. Do you have plans to add rev. C1 support to this repo?

Regards,

Tjeerd.

5.6.2-armv7-x9 patch adds ioremap_nocache which breaks the build

As the title says, the patch for 5.6.2 re-adds that unused function to /drivers/net/wireless/broadcom/brcm80211/brcmfmac/pcie.c , which breaks the kernel build. This is because Linux 5.6 removed ioremap_noncache:

remove ioremap_nocache and devm_ioremap_nocache
ioremap has provided non-cached semantics by default since the Linux 2.6
days, so remove the additional ioremap_nocache interface.

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/drivers/net/wireless/broadcom/brcm80211/brcmfmac/pcie.c?h=v5.6.5&id=4bdc0d676a643140bdf17dbf7eafedee3d496a3c

Simply replacing ioremap_nocache with ioremap fixes the issue. This patch does this.

Build script breaks if target linux kernel source directory is not empty

Hi.

I am using my own scipt that uses your kernel_build.sh, for building my own kernel.

But your script breaks if ignore/linux-src/ directory is not empty. I want to use git pull instead of git clone. (Because total download amount is approximetly 2GB).

I dig your scripts but cant found where does it checks. Anything that can you offer to solve this?

Wandboard on kernel 3.18.0 vlan do not work

I am using Arch Linux ARM with kernel linux-armv7. Since I updated to 3.18.0 vlan do not work, no ping to machines on tagged vlan. Downgrading to 3.17.4 vlan work again.

On dmesg output all seems ok:

    $ dmesg | grep -i vlan
    [   19.818015] 8021q: 802.1Q VLAN Support v1.8
    [   20.184666] eth0: renamed from vlan10

CONFIG_DEBUG_GPIO

Hello Robert,

on my Wandboard Quad dmesg for kernel 3.12 shows messages like
[ 2.001931] of_get_named_gpio_flags: can't parse gpios property of node '/regulators/2p5v[0]'

Fabio Estevam wrote to me:
In order to silence these debug messages: just unselect
CONFIG_DEBUG_GPIO from the defconfig and they will not show up anymore.

Best regards

Heinrich Schuchardt

BeagleBoard-xM "No disk drive was detected"

I've been trying to load 16.04 via netinstall method, but it always comes back with no drive detected, and has along list of drives to try, but I can't find any that work.

Build issues with tegra and 4.7

Hey Robert:

On tegra20 (trimslice) we have some issues with 4.7, one dt issue (see below) and a couple of small patches for arm (see attached). First, getting a traceback on boot:

[    1.373160] tegra-ehci: Tegra EHCI driver
[    1.380039] ------------[ cut here ]------------
[    1.387393] WARNING: CPU: 0 PID: 1 at drivers/reset/core.c:187 __of_reset_control_get+0x18c/0x250
[    1.399052] Modules linked in:
[    1.404857] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.7.0-rc2-armv7-x0 #2
[    1.414582] Hardware name: NVIDIA Tegra SoC (Flattened Device Tree)
[    1.423636] [<c01107a4>] (unwind_backtrace) from [<c010b62c>] (show_stack+0x10/0x14)
[    1.434194] [<c010b62c>] (show_stack) from [<c07f4a98>] (dump_stack+0x90/0xa4)
[    1.444215] [<c07f4a98>] (dump_stack) from [<c0120720>] (__warn+0xe8/0x100)
[    1.453972] [<c0120720>] (__warn) from [<c0120830>] (warn_slowpath_null+0x20/0x28)
[    1.464380] [<c0120830>] (warn_slowpath_null) from [<c03eefdc>] (__of_reset_control_get+0x18c/0x250)
[    1.476396] [<c03eefdc>] (__of_reset_control_get) from [<c054d3ec>] (tegra_ehci_probe+0x394/0x518)
[    1.488261] [<c054d3ec>] (tegra_ehci_probe) from [<c0478fa8>] (platform_drv_probe+0x4c/0xb0)
[    1.499625] [<c0478fa8>] (platform_drv_probe) from [<c0477714>] (driver_probe_device+0x214/0x2c0)
[    1.511453] [<c0477714>] (driver_probe_device) from [<c0477878>] (__driver_attach+0xb8/0xbc)
[    1.522877] [<c0477878>] (__driver_attach) from [<c04758f8>] (bus_for_each_dev+0x7c/0xc0)
[    1.534057] [<c04758f8>] (bus_for_each_dev) from [<c0476b40>] (bus_add_driver+0x1a0/0x218)
[    1.545338] [<c0476b40>] (bus_add_driver) from [<c0477fb4>] (driver_register+0x78/0xf8)
[    1.556376] [<c0477fb4>] (driver_register) from [<c0101834>] (do_one_initcall+0x50/0x194)
[    1.567608] [<c0101834>] (do_one_initcall) from [<c0b00e64>] (kernel_init_freeable+0x158/0x1fc)
[    1.579392] [<c0b00e64>] (kernel_init_freeable) from [<c07f6108>] (kernel_init+0x8/0x114)
[    1.590679] [<c07f6108>] (kernel_init) from [<c0107ab8>] (ret_from_fork+0x14/0x3c)
[    1.601388] ---[ end trace 4aebf6c53f462c3c ]---
[    1.609098] tegra-ehci c5000000.usb: can't get utmi-pads reset from the PHY
[    1.619192] tegra-ehci c5000000.usb: continuing, but please update your DT
[    1.644912] tegra-ehci c5004000.usb: EHCI Host Controller
[    1.653408] tegra-ehci c5004000.usb: new USB bus registered, assigned bus number 1
[    1.664270] tegra-ehci c5004000.usb: irq 289, io mem 0xc5004000
[    1.681457] tegra-ehci c5004000.usb: USB 2.0 started, EHCI 1.00

Next, build fails on beaglebone patches without slab include:

--- include/linux/of.h.orig 2016-06-12 16:47:09.651252739 -0700
+++ include/linux/of.h  2016-06-12 16:55:07.504059836 -0700
@@ -23,6 +23,7 @@
 #include <linux/spinlock.h>
 #include <linux/topology.h>
 #include <linux/notifier.h>
+#include <linux/slab.h>
 #include <linux/property.h>
 #include <linux/list.h>
 #include <linux/rhashtable.h>

And, gcc5 doesn't recognize --pic-veneer any more.

--- a/arch/arm/Makefile
+++ b/arch/arm/Makefile
@@ -13,7 +13,13 @@
 # Ensure linker flags are correct
 LDFLAGS        :=

-LDFLAGS_vmlinux    :=-p --no-undefined -X --pic-veneer
+GCCVERSIONISGTE5 := $(shell expr `$(HOSTCC) -dumpversion | cut -f1 -d.` \>= 5)
+ifeq  "$(GCCVERSIONISGTE5)" "1"
+LDFLAGS_vmlinux :=-p --no-undefined -X
+else
+LDFLAGS_vmlinux :=-p --no-undefined -X --pic-veneer
+endif
+
 ifeq ($(CONFIG_CPU_ENDIAN_BE8),y)
 LDFLAGS_vmlinux    += --be8
 LDFLAGS_MODULE += --be8

wandboard quad c1 etnaviv

Hi,

etnaviv driver on 4.5 branch use to work very well on debian stretch, however I tested 4.6 and 4.7, the driver loads but a simple cursor is blinking on the upper left of the screen.

by the way, I had to append -armmp to version.sh because dpkg refused to install the build package if the flavor was wrong.

Thank you so much for providing theses easy to use build scripts.

Cheers

Pierre

Offline execution

Hi,

Thank you for your work.
I would use your script offline. I have changed the variables CC and LINUX_GIT but there is always access to git.

Thank

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    🖖 Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. 📊📈🎉

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❤️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.